--- src/Catalog.cc
+++ src/Catalog.cc
@@ -9,10 +9,10 @@
 
 #include "framecpp/FrTOC.hh"
 
-#include "Catalog.hh"
-#include "Channel.hh"
-#include "createRDS.hh"
-#include "Frame.hh"
+#include "frameAPI/Catalog.hh"
+#include "frameAPI/Channel.hh"
+#include "frameAPI/createRDS.hh"
+#include "frameAPI/Frame.hh"
 
 namespace FrameAPI
 {
--- src/Channel.cc
+++ src/Channel.cc
@@ -1,4 +1,4 @@
-#include "Channel.hh"
+#include "frameAPI/Channel.hh"
 
 namespace FrameAPI
 {
--- src/Frame.cc
+++ src/Frame.cc
@@ -2,8 +2,8 @@
 
 #include "framecpp/FrRawData.hh"
 
-#include "Channel.hh"
-#include "Frame.hh"
+#include "frameAPI/Channel.hh"
+#include "frameAPI/Frame.hh"
 
 namespace
 {
--- swig/common/Catalog.i
+++ swig/common/Catalog.i
@@ -6,7 +6,7 @@
 #include <string>
 #include <list>
 
-#include "Catalog.hh"
+#include "frameAPI/Catalog.hh"
 
 using namespace FrameAPI;
 using LDASTools::AL::GPSTime;
--- swig/common/Channel.i
+++ swig/common/Channel.i
@@ -4,7 +4,8 @@
 
 %{
 #include "framecpp/FrVect.hh"
-#include "Channel.hh"
+
+#include "frameAPI/Channel.hh"
 
   using FrameCPP::FrVect;
   using FrameCPP::Common::FrameSpec;
@@ -26,7 +27,7 @@
 %import "framecpp/FrProcData.i"
 %import "framecpp/FrSimData.i"
 
-%import "Channel.hh"
+%import "frameAPI/Channel.hh"
 
 %SharedPtr(FrVect)
 
--- swig/common/Frame.i
+++ swig/common/Frame.i
@@ -5,7 +5,7 @@
 %{
 #include "framecpp/FrameH.hh"
 
-#include "Frame.hh"
+#include "frameAPI/Frame.hh"
 
   using FrameAPI::Frame;
   using FrameCPP::OFrameFStream;
--- swig/common/LDASframe.i
+++ swig/common/LDASframe.i
@@ -11,7 +11,7 @@ developers to interface with the frameAPI library create by the LDAS team."
 %feature("autodoc","1");
 
 %{
-#include "Channel.hh"
+#include "frameAPI/Channel.hh"
 
 using namespace FrameAPI;
 %}
--- swig/common/createRDS.i
+++ swig/common/createRDS.i
@@ -6,7 +6,7 @@
 #include <string>
 #include <vector>
 
-#include "createRDS.hh"
+#include "frameAPI/createRDS.hh"
 
 using namespace FrameAPI;
  typedef FrameAPI::RDS::Options::rds_level_type rds_level_type;
--- test/test_createRDS_cpp.cc
+++ test/test_createRDS_cpp.cc
@@ -8,10 +8,10 @@
 #include "genericAPI/Logging.hh"
 #include "genericAPI/LogText.hh"
 
-#include "Catalog.hh"
-#include "Channel.hh"
-#include "createRDS.hh"
-#include "Frame.hh"
+#include "frameAPI/Catalog.hh"
+#include "frameAPI/Channel.hh"
+#include "frameAPI/createRDS.hh"
+#include "frameAPI/Frame.hh"
 
 //  LDAS_TEST_FRAMES_DIR -
 
